Package generic.lsh.vector

# Interface LSHVector

All Known Implementing Classes:
  `LSHCosineVector`, `LSHCosineVectorAccum`

public interface LSHVector

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `calcUniqueHash()`
  `double`
  `compare(LSHVector op2, VectorCompare data)`
  `void`
  `compareCounts(LSHVector op2, VectorCompare data)`
  `double`
  `compareDetail(LSHVector op2, StringBuilder buf)`
  `HashEntry[]`
  `getEntries()`
  `HashEntry`
  `getEntry(int i)`
  `double`
  `getLength()`
  `int`
  `numEntries()`
  `void`
  `restoreBase64(Reader input, char[] buffer, WeightFactory wfactory, IDFLookup idflookup, int[] decode)`
  `void`
  `restoreSQL(String sql, WeightFactory weightFactory, IDFLookup idfLookup)`
  `void`
  `restoreXml(XmlPullParser parser, WeightFactory weightFactory, IDFLookup idfLookup)`
  `void`
  `saveBase64(StringBuilder buffer, char[] encoder)`
  `String`
  `saveSQL()`
  `void`
  `saveXml(Writer fwrite)`

- ## Method Details

  - ### numEntries

    int numEntries()

  - ### getEntry

    HashEntry getEntry(int i)

  - ### getEntries

    HashEntry[] getEntries()

  - ### getLength

    double getLength()

  - ### compare

    double compare(LSHVector op2, VectorCompare data)

  - ### compareCounts

    void compareCounts(LSHVector op2, VectorCompare data)

  - ### compareDetail

    double compareDetail(LSHVector op2, StringBuilder buf)

  - ### saveXml

    void saveXml(Writer fwrite) throws IOException
    Throws:
      `IOException`

  - ### saveSQL

    String saveSQL()

  - ### saveBase64

    void saveBase64(StringBuilder buffer, char[] encoder)

  - ### restoreXml

    void restoreXml(XmlPullParser parser, WeightFactory weightFactory, IDFLookup idfLookup)

  - ### restoreSQL

    void restoreSQL(String sql, WeightFactory weightFactory, IDFLookup idfLookup) throws IOException
    Throws:
      `IOException`

  - ### restoreBase64

    void restoreBase64(Reader input, char[] buffer, WeightFactory wfactory, IDFLookup idflookup, int[] decode) throws IOException
    Throws:
      `IOException`

  - ### calcUniqueHash

    long calcUniqueHash()